﻿using StatBot;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;

namespace StatBotService
{
    public partial class StatBotSvc : ServiceBase
    {

        private DiscordBot Bot;
        private Task BotTask;

        public StatBotSvc()
        {
            InitializeComponent();
            Bot = new DiscordBot("bot.json");
        }


        protected override void OnStart(string[] args)
        {
            if (Bot != null)
            {
                BotTask = Bot.StartClientAsync();
                BotTask.GetAwaiter().GetResult();
            }
        }

        protected override void OnStop()
        {
            if (Bot != null)
            {
                Bot.StopClientAsync();
            }
        }
    }
}
